<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:04 CET 2009 -->
<TITLE>
AbstractUnaryOperator
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.operator.AbstractUnaryOperator class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AbstractUnaryOperator";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractUnaryOperator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AbstractTernaryOperator.html" title="class in ch.javasoft.math.operator"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="interface in ch.javasoft.math.operator"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/operator/AbstractUnaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractUnaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math.operator</FONT>
<BR>
Class AbstractUnaryOperator&lt;T,A&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.math.operator.AbstractUnaryOperator&lt;T,A&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator">NAryOperator</A>&lt;T,A&gt;, <A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;T,A&gt;</DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../ch/javasoft/math/operator/compose/ConcatUnaryOperator.html" title="class in ch.javasoft.math.operator.compose">ConcatUnaryOperator</A>, <A HREF="../../../../ch/javasoft/math/operator/compose/NullaryUnaryOperator.html" title="class in ch.javasoft.math.operator.compose">NullaryUnaryOperator</A>, <A HREF="../../../../ch/javasoft/math/operator/compose/UnaryNullaryOperator.html" title="class in ch.javasoft.math.operator.compose">UnaryNullaryOperator</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../../src-html/ch/javasoft/math/operator/AbstractUnaryOperator.html#line.43"><B>AbstractUnaryOperator&lt;T,A&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;T,A&gt;</DL>
</PRE>

<P>
The <code>AbstractUnaryOperator</code> implements the operations of the
 <A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NAryOperator</CODE></A> interface.
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_ch.javasoft.math.operator.UnaryOperator"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">UnaryOperator.Id</A></CODE></TD>
</TR>
</TABLE>
&nbsp;

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html#AbstractUnaryOperator()">AbstractUnaryOperator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html#getOperandCount()">getOperandCount</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns 1</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html#operate(int, A[], int[], A, int)">operate</A></B>(int&nbsp;offset,
               <A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">A</A>[]&nbsp;operands,
               int[]&nbsp;indices,
               <A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">A</A>&nbsp;dst,
               int&nbsp;dstIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the binary operation &oplus; on two vector elements, also 
 writing the result back into a vector:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html#operate(int, T...)">operate</A></B>(int&nbsp;offset,
               <A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">T</A>...&nbsp;operands)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the binary operation &oplus; on two operands and returns the 
 result:</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.math.operator.UnaryOperator"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.html#operate(A, int)">operate</A>, <A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.html#operate(A, int, A, int)">operate</A>, <A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.html#operate(T)">operate</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractUnaryOperator()"><!-- --></A><H3>
AbstractUnaryOperator</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/math/operator/AbstractUnaryOperator.html#line.43"><B>AbstractUnaryOperator</B></A>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getOperandCount()"><!-- --></A><H3>
getOperandCount</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/math/operator/AbstractUnaryOperator.html#line.47"><B>getOperandCount</B></A>()</PRE>
<DL>
<DD>Returns 1
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html#getOperandCount()">getOperandCount</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator">NAryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">T</A>,<A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">A</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="operate(int,java.lang.Object)"><!-- --></A><A NAME="operate(int, T...)"><!-- --></A><H3>
operate</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">T</A> <A HREF="../../../../src-html/ch/javasoft/math/operator/AbstractUnaryOperator.html#line.50"><B>operate</B></A>(int&nbsp;offset,
                 <A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">T</A>...&nbsp;operands)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html#operate(int, T...)">NAryOperator</A></CODE></B></DD>
<DD>Performs the binary operation &oplus; on two operands and returns the 
 result:
 <pre>
   return = &oplus; ( operands )
 </pre>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html#operate(int, T...)">operate</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator">NAryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">T</A>,<A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">A</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>offset</CODE> - the offset for the first operand in <code>operands</code><DD><CODE>operands</CODE> - the <A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html#getOperandCount()"><CODE>n</CODE></A> operands
<DT><B>Returns:</B><DD>the result of the n-ary operation</DL>
</DD>
</DL>
<HR>

<A NAME="operate(int,java.lang.Object,int,java.lang.Object,int)"><!-- --></A><A NAME="operate(int, A[], int[], A, int)"><!-- --></A><H3>
operate</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/math/operator/AbstractUnaryOperator.html#line.53"><B>operate</B></A>(int&nbsp;offset,
                    <A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">A</A>[]&nbsp;operands,
                    int[]&nbsp;indices,
                    <A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">A</A>&nbsp;dst,
                    int&nbsp;dstIndex)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html#operate(int, A[], int[], A, int)">NAryOperator</A></CODE></B></DD>
<DD>Performs the binary operation &oplus; on two vector elements, also 
 writing the result back into a vector:
 <pre>
   dst[dstIndex] = &oplus; ( operands[indices] )
 </pre>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html#operate(int, A[], int[], A, int)">operate</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator">NAryOperator</A>&lt;<A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">T</A>,<A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="type parameter in AbstractUnaryOperator">A</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>offset</CODE> - the offset for the first operand in <code>operands</code> and 
                                        <code>indices</code><DD><CODE>operands</CODE> - the <A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html#getOperandCount()"><CODE>n</CODE></A> operand arrays<DD><CODE>indices</CODE> - the indices in the operand arrays<DD><CODE>dst</CODE> - the result array<DD><CODE>dstIndex</CODE> - the index in the result array</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractUnaryOperator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AbstractTernaryOperator.html" title="class in ch.javasoft.math.operator"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="interface in ch.javasoft.math.operator"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/operator/AbstractUnaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractUnaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
